---
title: "LocaleRegionNamePipe"
generated: true
---
<GenerationInfo sourceFile="packages/admin-ui/src/lib/core/src/shared/pipes/locale-region-name.pipe.ts" sourceLine="18" packageName="@vendure/admin-ui" />

Displays a human-readable name for a given region.

*Example*

```HTML
{{ 'GB' | localeRegionName }}
```

```ts title="Signature"
class LocaleRegionNamePipe extends LocaleBasePipe implements PipeTransform {
    constructor(dataService?: DataService, changeDetectorRef?: ChangeDetectorRef)
    transform(value: any, locale?: unknown) => string;
}
```
* Extends: LocaleBasePipe


* Implements: PipeTransform



<div className="members-wrapper">

### constructor

<MemberInfo kind="method" type={`(dataService?: <a href='/reference/admin-ui-api/services/data-service#dataservice'>DataService</a>, changeDetectorRef?: ChangeDetectorRef) => LocaleRegionNamePipe`}   />


### transform

<MemberInfo kind="method" type={`(value: any, locale?: unknown) => string`}   />




</div>
